Skip to content

Unlock Lifecycle Contacts

POST
/lifecycle-contacts/unlock

Unlock contact details in a lifecycle stage (charges credits per newly unlocked contact).

Contacts already unlocked cost nothing.

Authorizations

Parameters

Header Parameters

X-Target-Org-Id
Any of:
string

Request Body required

object
agFilterModel
Any of:
object
key
additional properties
any
company_status
Any of:
string
contact_ids
Any of:
Array<integer>
lifecycle_id
required

The lifecycle stage to unlock contacts in.

string

Responses

200

Successful Response

object
data
required

An activity, snapshot, plan or result, as the app returns it.

object
key
additional properties
any
pagination
Any of:
object
has_next
required

Whether there are more pages

boolean
limit
required

Items per page

integer
next_cursor
Any of:
string
notes
Any of:
Array<string>
page
required

Current page number (1-indexed)

integer
total
required

Total number of items

integer
total_available
Any of:
integer
total_is_lower_bound
Any of:
boolean

422

Validation Error

object
detail
Array<object>
object
loc
required
Array
msg
required
string
type
required
string